const express = require('express');
const router = express.Router();
var cors = require('cors');

const bcrypt = require('bcrypt');
const randToken = require('rand-token');

const DEBUG = true;

router.param('punkteId', function(req, res, next, id) {
  req.punkteId = id;
  const group = req.query.group;


  let query = 'SELECT * FROM v_hauspunkte_small WHERE schuljahr = $1;';

if(group==1) query = 'SELECT schuljahr, haus, sum(punkte) FROM v_hauspunkte WHERE schuljahr = $1 GROUP BY schuljahr, haus;'

  if(DEBUG) console.log(query);
	if(DEBUG) console.log(group);
  req.db.query(query, [req.punkteId], (err, rs) => {
    if (err) {
      return next(err)
    }
    req.punkte = rs.rows;
    next();
  })
});

/* Methods with id */
router.get('/:punkteId', function(req, res, next) {
  res.status(200).json(req.punkte);
});

module.exports = router;
