const express = require('express');
const router = express.Router();
const cors = require('cors');
const xml = require('xml');


const bcrypt = require('bcrypt');
const randToken = require('rand-token');

const DEBUG = true;

router.param('hausId', function(req, res, next, id) {
  req.hausId = id;
  let query = " Select * from haus ";
    query += " WHERE id = $1";

  if(DEBUG) console.log(query);
	if(DEBUG) console.log(req.hausId);
  req.db.query(query, [req.hausId], (err, rs) => {
    if (err) {
      return next(err)
    }
    let result  = "<haus>";
    for (var i in rs.rows[0]) {
      var val = rs.rows[0][i];
      result += "<"+i+">"+val+"</"+i+">";
    }
    result += "</haus>";
    if(DEBUG) console.log(result);

    res.set('Content-Type', 'text/xml');
    res.send(result);
    //next();
  })
});

/* GET recepies listing. */
router.get('/', function(req, res, next) {
  let query =  " Select * from haus ";

  if(DEBUG) console.log(query);
  req.db.query(query, (err, rs) => {
    if (err){
      console.log(query);
      next(err);
    } else {
      let result  = "<list>";

      for (var haus in rs.rows) {
        console.log(haus);

        result  += "<haus>";
        for (var i in rs.rows[haus]) {
          var val = rs.rows[haus][i];
          result += "<"+i+">"+val+"</"+i+">";
        }
        result += "</haus>";
      }
      result += "</list>";


      console.log(result);
      res.set('Content-Type', 'text/xml');
      res.send(result);
    //  res.status(200).json(result);
    }
  });
});

/* Methods with id */
router.get('/:hausId', function(req, res, next) {

//  res.status(200).json(req.haus);
});

module.exports = router;
